Description

Is it possible to be able to create different images for
different types of dynamic lights eg so that a light would
be cast in only one direction?

It would need to be set in the DEDs eg:

Light {

State = "BAR1";

LightType= "DLight01"; (name of DLight resource)
Flags = "lgf_nohalo";

Size = 0.31;

Y Offset = -6;

}
Where it would then use the relevant image instead of
the default one.

I've created and example by editing the DLight resource
in doomsday.wad if you want to see it.

The halos would need to use a different image though,
as at the moment the same image is used for the
wall/floor lights and halos.

Should be quite an easy one this. I'll provide all the flats
if needed.

Dani J666

Labels: Graphics

History

#1 - 2003-05-26 11:23 - skyjake
Logged In: YES
user_id=717323

This should be easy enough to implement. I'd like to
make it so that:

- Each Light def can specify a DL texture for Up, Down
and Sides (can be set to 'None' for no light in that
direction).

- DL textures can be of any arbitrary resolution.

- DL textures can be in a normal PCX, PNG or TGA format.
There's no compelling reason for sticking to just RAW.

The example is pretty nice, although I'd imagine that the
shadow 'curves' would be rounder.

#2 - 2003-06-01 17:50 - skyjake

Logged In: YES
user_id=717323

It's done. And it uses the 8-bit alpha conversion thingy.
Actually, since alpha is required for lightmaps, the
conversion is done for all images that don't have alpha.

#3 - 2003-07-24 22:59 - skyjake

Logged In: YES
user_id=717323

This won't make it into 1.7.9.

#4 - 2003-07-24 23:20 - skyjake

Logged In: YES
user_id=717323

...but this will make it in 1.7.12.
#5 - 2003-08-16 21:19 - skyjake
(originally posted by anonymous SF.net user)

Logged In: NO

Yay! Can you make it so they use the 8bit Particle Alpha RFE.

Dani J
